function hc=pxanim
% moving slice through p_x function

xv = linspace(-2.5,2.5,35);
yv = linspace(-1.5,1.5,25);
[x,y,z] = meshgrid(xv,yv,yv);
v = x.*x.*exp(-x.*x-y.*y-z.*z);
figure, hold on;;
axis equal, axis off;
view(-50,15);
slice(x,y,z,v,[],[1.5],[0,-1.5]);
for x0=-2:0.05:2,
    hs = slice(x,y,z,v,[x0],[],[]);
    drawnow;
    delete(hs);
end;
slice(x,y,z,v,[1],[1.5],[0,-1.5]);
hold off;
