#include "mex.h"
#include "scope.h"
void mexFunction( int nlhs, mxArray *plhs[],
                  int nrhs, const mxArray *prhs[] )
{
    const int XSIZE = 2500;
    scope osc;
    osc.setchannel((nrhs==0) ? 1 : (int)*mxGetPr(prhs[0]));
    plhs[0] = mxCreateDoubleMatrix(XSIZE, 1, mxREAL);
    double * z = mxGetPr(plhs[0]);
    osc.data(z, XSIZE);
} 
