function f=wavesmov(aviname)
% wave field movie

if nargin==0, aviname='waves.avi'; end;
for i=1:24,
    [x,y,z]=waves(15*i);
    h=surf(z);
    shading flat;
    axis equal;
    axis off;
    view(10,35);
    set (h,'FaceColor',0.6*[1 1 1]);
    lightangle(130,50);
    lighting gouraud;
    f(i)=getframe;
end;
if nargout==0, 
    movie2avi(f, aviname, 'quality',95);
end;
