function rectseries(n)

global coeff z

a=linspace(0,2,800);
[x,y]=meshgrid(1:1:100,a);
coeff=ones(size(x))./x.*mod(x,2);
z=coeff.*sin(2*pi*y.*x);
if n>0
    plot(z(:,1:2:n),a,'Color',[0 0 0]);
else
    plot(a,sum(z(:,1:-n),2),'Color',[0 0 0]);
end;
hold on;
plot([0 0],[min(a) max(a)],'Color',[0 0 0]);
hold off;
set(gca,'FontUnits','normalized','FontSize',0.05);
set(gca,'Linewidth',1.5);
