function [x,y,z]=wavedata(f)
% data for wave plots

if (nargin<1), f=1; end;
Size=100*f;
k=2*pi/9/f;
[x,y]=meshgrid(0:Size);
dy=Size/10;
y1=Size/2+dy;
y2=Size/2-dy;
r1=sqrt(x.*x+(y-y1).*(y-y1));
r2=sqrt(x.*x+(y-y2).*(y-y2));
z=2*f*(sin(k*r1)+sin(k*r2));
