function h=conch1
% conchoid 1

phi=linspace(0,7*pi,70);
theta=linspace(0,2*pi,40);
[p,t]=meshgrid(phi,theta);
R0=p; r0=p;
r=R0-r0.*cos(t);
x=r.*cos(p);
y=r.*sin(p);
z=sin(t).*r0-r0.*r0/5;
h=surf(x,y,z);
set(h,'FaceColor',0.8*[1 1 1]);
set(h,'EdgeAlpha',0.3);
camlight, lighting gouraud;
axis equal, axis off;
axis ([-25 35 -22 35 -120 -15]);
view(-60,20);
set(gcf,'Position',[100 50 400 640]);
set(gca,'Position',[0 0 1 1]);
